Skip to main content
GET
/
v1
/
ofi
/
configurations
/
enabledRoutes
Retrieve all ofi-enabled payment routes
curl --request GET \
  --url https://api.circle.com/v1/ofi/configurations/enabledRoutes \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "blockchains": [
        "ETH-SEPOLIA"
      ],
      "cryptoLimit": {
        "currency": "USDC",
        "max": 1000,
        "min": 10
      },
      "destinationCountry": "MX",
      "destinationCurrency": "MXN",
      "fiatLimit": {
        "currency": "MXN",
        "max": 1000,
        "min": 10
      },
      "paymentMethodType": "SPEI",
      "sourceCurrency": "USDC",
      "useCases": [
        "B2B"
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.circle.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Circle's API Keys are formatted in the following structure "PREFIX:ID:SECRET". All three parts are requred to make a successful request.

Query Parameters

sourceCurrency
enum<string>

Filter by source currency, will return all available source currencies if empty Supported cryptocurrencies

Available options:
USDC
Example:

"USDC"

destinationCurrency
enum<string>

Filter by destination currency, will return all available destination currencies if empty Supported fiat currencies

Available options:
BRL,
CNY,
COP,
EUR,
GBP,
HKD,
INR,
MXN,
NGN,
USD
Example:

"MXN"

paymentMethodType
enum<string>

Filter by payment method, will return all available payment method types if empty The method used for the payment (e.g., PIX, WIRE, CHATS)

Available options:
AANI,
ACH-BANK-TRANSFER,
BANK-TRANSFER,
CHATS,
CIPS,
FAST,
FEDWIRE,
FPS,
FTS,
IMPS,
INSTAPAY,
NEFT,
NEQUI,
PESONET,
PIX,
RTGS,
SD-ACH,
SEPA,
SPEI,
SPID,
WIRE
Example:

"SPEI"

destinationCountry
enum<string>

Filter by destination country, will return all available destination countries if empty ISO 3166-1 alpha-2 two-letter country code supported by the Circle Payment Network

Available options:
AT,
BE,
BG,
BR,
CH,
CN,
CO,
CY,
CZ,
DE,
DK,
EE,
ES,
FI,
FR,
GB,
GR,
HK,
HR,
HU,
IE,
IN,
IT,
LI,
LT,
LU,
MT,
MX,
NG,
NL,
NO,
PL,
PT,
RO,
SE,
SI,
SK,
US
Example:

"MX"

blockchain
enum<string>

Filter by blockchain, will return all available blockchains if empty Supported blockchain networks

Available options:
SOL,
MATIC,
ETH,
SOL-DEVNET,
MATIC-AMOY,
ETH-SEPOLIA
Example:

"ETH-SEPOLIA"

useCase
enum<string>

Filter by use case, will return all available useCases if empty The type of payment use case

Available options:
B2B,
B2C,
C2C,
C2B
Example:

"B2B"

Response

Ofi-enabled payment routes retrieved successfully.

data
OfiEnabledPaymentRoute · object[]
required

Array of ofi enabled payment routes containing all the necessary information for routing payments